io.vertx.rxjava.ext.web.handler

## Class LoggerHandler

- java.lang.Object
- - io.vertx.rxjava.ext.web.handler.LoggerHandler

- All Implemented Interfaces:
    Handler<RoutingContext>, PlatformHandler

      public class LoggerHandler
      extends Object
      implements PlatformHandler, Handler<RoutingContext>

  A handler which logs request information to the Vert.x logger. You should mount this handler before any handler that could fail the routing context

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<LoggerHandler>` | `__TYPE_ARG`
    `static LoggerFormat` | `DEFAULT_FORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoggerHandler(LoggerHandler delegate)`
    `LoggerHandler(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LoggerHandler` | `create()` Create a handler with default format
    `static LoggerHandler` | `create(boolean immediate, LoggerFormat format)` Create a handler with he specified format
    `static LoggerHandler` | `create(LoggerFormat format)` Create a handler with he specified format
    `LoggerHandler` | `customFormatter(java.util.function.Function<HttpServerRequest,String> formatter)` Deprecated.
    `LoggerHandler` | `customFormatter(LoggerFormatter formatter)` Set the custom formatter to be used by the handler.
    `boolean` | `equals(Object o)`
    `LoggerHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `int` | `hashCode()`
    `static LoggerHandler` | `newInstance(LoggerHandler arg)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.ext.web.handler.PlatformHandler

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<LoggerHandler> __TYPE_ARG

    - #### DEFAULT_FORMAT

          public static final LoggerFormat DEFAULT_FORMAT

  - ### Constructor Detail

    - #### LoggerHandler

          public LoggerHandler(LoggerHandler delegate)

    - #### LoggerHandler

          public LoggerHandler(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public LoggerHandler getDelegate()

      Specified by:
        `getDelegate` in interface `PlatformHandler`

    - #### handle

          public void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Specified by:
        `handle` in interface `PlatformHandler`
      Parameters:
        `event` - the event to handle

    - #### create

          public static LoggerHandler create()

      Create a handler with default format
      Returns:
        the handler

    - #### create

          public static LoggerHandler create(LoggerFormat format)

      Create a handler with he specified format
      Parameters:
        `format` - the format
      Returns:
        the handler

    - #### create

          public static LoggerHandler create(boolean immediate,
                                             LoggerFormat format)

      Create a handler with he specified format
      Parameters:
        `immediate` - true if logging should occur as soon as request arrives
        `format` - the format
      Returns:
        the handler

    - #### customFormatter

          @Deprecated
          public LoggerHandler customFormatter(java.util.function.Function<HttpServerRequest,String> formatter)

      Deprecated.
      Set the custom formatter to be used by the handler.
      Parameters:
        `formatter` - the formatting function
      Returns:
        the formatted log string

    - #### customFormatter

          public LoggerHandler customFormatter(LoggerFormatter formatter)

      Set the custom formatter to be used by the handler.
      Parameters:
        `formatter` - the formatter
      Returns:
        the formatted log string

    - #### newInstance

          public static LoggerHandler newInstance(LoggerHandler arg)

Copyright © 2024 Eclipse. All rights reserved.